/* Copyright 2009 Palm, Inc.  All rights reserved. */

Weave.Services.DeviceProfile = 
{
	_target: 'palm://com.palm.deviceprofile',
	
	getDeviceId: function(callback)
	{
		Weave.Services.request(this._target,
		{
			method: 'getDeviceId',
			parameters: {},
		},
		function(response)
		{
			callback(true, response.deviceId);
		},
		function()
		{
			callback(false);
		});
	},
	
	getCarrierIdentification: function(callback)
	{
		Weave.Services.request('palm://com.palm.data.carriernetworksettings/',
		{
			method: 'getCurrentCarrierIdentification',
			parameters: {},
		},
		function(response)
		{
			callback(true, response);
		},
		function()
		{
			callback(false);
		});
	}
};